Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.ha
Class HAILSharedState

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ha.jmx.HAServiceMBeanSupport
                  org.jboss.mq.il.ha.HAILSharedState

All Implemented Interfaces:
  HAILSharedStateMBean, HAServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class HAILSharedState
extends HAServiceMBeanSupport
implements HAILSharedStateMBean

Stores the address and port of the current HA JMS singleton server. Also used to broadcast a notification when the singleton moves to another node.

Author:
  Ivelin Ivanov

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`HAILSharedState()`

Method Summary
`InetAddress` | `getServerAddress()` Get the address of the singleton UIL Server host (which connects to the current JMS Server)
`Integer` | `getServerPort()` Get the address of the singleton UIL Server host (which connects to the current JMS Server)
`void` | `setServerAddress(InetAddress address)` Set the address of the singleton UIL Server host (which connects to the current JMS Server)
`void` | `setServerPort(Integer port)` Set the address of the singleton UIL Server host (which connects to the current JMS Server)

Methods inherited from class org.jboss.ha.jmx.HAServiceMBeanSupport
`_receiveRemoteNotification, callAsyncMethodOnPartition, callMethodOnPartition, callMethodOnPartition, findHAPartitionWithName, getDistributedState, getPartition, getPartitionName, getServiceHAName, isDRMMasterReplica, partitionTopologyChanged, registerDRMListener, registerRPCHandler, sendNotification, sendNotificationRemote, sendNotificationToLocalListeners, setDistributedState, setPartitionName, setupPartition, startService, stopService, unregisterDRMListener, unregisterRPCHandler`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.ha.jmx.HAServiceMBean
`callMethodOnPartition, getDistributedState, getPartitionName, sendNotification, setDistributedState, setPartitionName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Constructor Detail

### HAILSharedState

    public HAILSharedState()

Method Detail

### getServerAddress

    public InetAddress getServerAddress()

  Get the address of the singleton UIL Server host (which connects to the current JMS Server)

  Specified by:
    `getServerAddress` in interface `HAILSharedStateMBean`

### setServerAddress

    public void setServerAddress(InetAddress address)
                          throws Exception

  Set the address of the singleton UIL Server host (which connects to the current JMS Server)

  Specified by:
    `setServerAddress` in interface `HAILSharedStateMBean`
  Throws:
    `Exception`

### getServerPort

    public Integer getServerPort()

  Get the address of the singleton UIL Server host (which connects to the current JMS Server)

  Specified by:
    `getServerPort` in interface `HAILSharedStateMBean`

### setServerPort

    public void setServerPort(Integer port)
                       throws Exception

  Set the address of the singleton UIL Server host (which connects to the current JMS Server)

  Specified by:
    `setServerPort` in interface `HAILSharedStateMBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.